> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mightynetworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new post, and optionally notify the network



## OpenAPI

````yaml https://api.mn.co/admin/v1/spec.json post /admin/v1/networks/{network_id}/posts
openapi: 3.1.0
info:
  version: 1.0.0
  title: The Mighty Networks Admin API
  description: An API for managing your Mighty Networks network
servers:
  - url: https://api.mn.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Members
    description: Manage members of your network
  - name: Courseworks
    description: Manage course content (lessons, quizzes, sections)
  - name: Reactions
    description: Manage reactions on comments
  - name: Mute
    description: Mute posts for users
  - name: Comments
    description: Manage comments on posts
  - name: Invites
    description: Invites allow you to invite users to your network
  - name: Tags
    description: Manage tags for your network
  - name: Spaces
    description: >-
      Spaces are the organizational units within a Network where content and
      members are organized
  - name: Plans
    description: Manage plans in your network
  - name: PasswordResets
    description: Manage member password resets
  - name: Badges
    description: Manage badges for your network
  - name: Rsvps
    description: Manage event RSVPs for your network
  - name: Options
    description: Manage dropdown custom field options
  - name: Answers
    description: Manage member responses to custom fields
  - name: Subscriptions
    description: >-
      Manage payment subscriptions - recurring payments from members to hosts
      for plans
  - name: Purchases
    description: Manage purchases and subscriptions for your network
  - name: Posts
    description: Posts also include Articles.
  - name: Polls
    description: >-
      Polls and Questions allow members to share opinions and engage with each
      other
  - name: Networks
    description: >-
      Networks are the top-level organizational unit under which other resources
      are nested
  - name: Me
    description: Metadata about the requesting user
  - name: Events
    description: Events are scheduled gatherings that members can RSVP to and engage with
  - name: CustomFields
    description: Manage custom fields for your network
  - name: Collections
    description: Manage collections in your network
  - name: Assets
    description: Manage assets for your network
  - name: AbuseReports
    description: Manage abuse reports for your network
paths:
  /admin/v1/networks/{network_id}/posts:
    post:
      tags:
        - Posts
      summary: Create a new post, and optionally notify the network
      operationId: create_posts
      parameters:
        - name: notify
          in: query
          required: false
          description: Whether or not to notify the network
          schema:
            type: boolean
        - $ref: '#/components/parameters/networkId'
      requestBody:
        description: Submit results as JSON
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostRequest'
      responses:
        '201':
          description: Returns the newly created post on success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostResponse'
        '404':
          description: Space not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Invalid post data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    networkId:
      name: network_id
      in: path
      description: The Network's unique integer ID, or subdomain
      required: true
      schema:
        oneOf:
          - type: integer
            description: Unique numeric network ID
            format: uint64
          - type: string
            description: Network subdomain
            format: /^[a-z][a-z0-9-]+$/
  schemas:
    PostRequest:
      description: Posts are created by users within spaces
      type: object
      required:
        - space_id
        - title
      properties:
        space_id:
          type: integer
          format: uint64
          description: The ID of the space to post in
        title:
          type: string
          description: The title of the post
        description:
          type: string
          description: The description/body content of the post
        post_type:
          type: string
          description: The type of post to create (e.g., 'article')
    PostResponse:
      description: Posts are created by users within spaces
      type: object
      required:
        - comments_enabled
        - content_type
        - created_at
        - creator_id
        - description
        - id
        - images
        - last_activity_at
        - permalink
        - post_type
        - published_at
        - space_id
        - status
        - summary
        - title
        - updated_at
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-06-26T21:14:12+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-06-26T21:14:12+00:00'
        creator_id:
          type: integer
          format: uint64
          description: The ID of the user that created the post
        space_id:
          type: integer
          format: uint64
          description: The ID of the space where the post was created
        summary:
          type: string
          description: A short summary of the post's contents
        description:
          type: string
          description: The posts description
        post_type:
          type: string
          description: The type of post
        images:
          type: array
          description: An array of image URLs associated with the post
          items:
            type: string
        title:
          type: string
          description: The title of the post
        status:
          type: string
          description: The post's current status
        published_at:
          type: string
          format: date-time
          description: The date the post was published
          example: '2026-06-26T21:14:13+00:00'
        last_activity_at:
          type: string
          format: date-time
          description: The time the of last activity on the post
          example: '2026-06-26T21:14:13+00:00'
        content_type:
          type: string
          description: The type of post content attached to the post
        comments_enabled:
          type: boolean
          description: Whether or not comments are enabled on this post
        permalink:
          type: string
          format: url
          description: The post's unique address within the network
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: An error message explaining the problem encountered
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````